For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet shipping methods
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet all Shipments for Order
      • POSTEstimate Fulfillment Cost For Order
      • GETGet logs for one Shipment by Shipment Id
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • PUTUpdate a Shipment
      • GETGet one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • GETGet Order
      • POSTCancel single Order by Order ID
      • POSTCancel one Shipment by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • POSTCancel multiple Shipments by Shipment Id
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
LogoLogo
API ReferenceOrders

Update a Shipment

||View as Markdown|
PUT
https://sandbox-api.shipbob.com/2.0/shipment/:shipmentId
PUT
/2.0/shipment/:shipmentId
$curl -X PUT https://sandbox-api.shipbob.com/2.0/shipment/1 \
> -H "shipbob_channel_id: 1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "is_tracking_uploaded": true
>}'
1[
2 null
3]
Was this page helpful?
Previous

Get one Shipment by Shipment Id

Next

Get one Shipment by Order Id and Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

shipmentIdintegerRequired
The Shipment id to be updated

Headers

shipbob_channel_idintegerRequired
Channel Id for Operation

Request

Shipment Information to be updated
is_tracking_uploadedbooleanOptional

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated.

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error